Bonjour Bienvenue sur AiBioLinker !
Installez notre application 🪄 Cliquez sur l'icône dans le coin supérieur droit de la barre d'adresse.

Codes QR

GET https://aibiolinker.com/api/qr-codes/
curl --request GET \
--url 'https://aibiolinker.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
Paramètres Détails Description
search Optionnel Chaîne La chaîne de recherche.
search_by Optionnel Chaîne Quel champ recherchez-vous ? Les valeurs autorisées sont : name.
project_id Optionnel Entier
type Optionnel Chaîne Quel champ recherchez-vous ? Les valeurs autorisées sont : text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix.
datetime_field Optionnel Chaîne Valeurs autorisées : datetime, last_datetime
datetime_start Optionnel Chaîne Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optionnel Chaîne Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optionnel Chaîne Quel champ pour trier les résultats. Les valeurs autorisées sont : qr_code_id, datetime, last_datetime, name, type.
order_type Optionnel Chaîne L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant.
page Optionnel Entier Le numéro de page dont vous souhaitez obtenir les résultats. Par défaut, c'est 1.
results_per_page Optionnel Entier Combien de résultats souhaitez-vous par page ? Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "link_id": 1,
            "type": "Example",
            "name": "Example",
            "qr_code": "Example",
            "qr_code_logo": "Example",
            "qr_code_background": "Example",
            "qr_code_foreground": "Example",
            "settings": [],
            "embedded_data": "Example",
            "last_datetime": null,
            "datetime": "2026-09-21 06:55:57"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://aibiolinker.com/api/qr-codes?page=1",
        "last": "https://aibiolinker.com/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://aibiolinker.com/api/qr-codes?page=1"
    }
}
GET https://aibiolinker.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://aibiolinker.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-09-21 06:55:57"
    }
}
POST https://aibiolinker.com/api/qr-codes
Paramètres Détails Description
project_id Optionnel Entier -
name Requis Chaîne -
type Requis Chaîne Valeurs autorisées : text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk Optionnel Booléen Disponible quand : type = text
url_dynamic_existing_link Optionnel Booléen Disponible quand : url_dynamic = 1
url_dynamic Optionnel Booléen Disponible quand : type = url
link_id Optionnel Entier Disponible quand : url_dynamic = 1 + url_dynamic_existing_link = 1
style Optionnel Chaîne
inner_eye_style Optionnel Chaîne Valeurs autorisées : square, dot, rounded, diamond, flower, leaf
outer_eye_style Optionnel Chaîne Valeurs autorisées : square, circle, rounded, flower, leaf
foreground_type Optionnel Chaîne Valeurs autorisées : color, gradient
foreground_color Optionnel Chaîne Disponible quand : foreground_type = color
foreground_gradient_style Optionnel Chaîne Valeurs autorisées : vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Optionnel Chaîne Disponible quand : foreground_type = gradient
foreground_gradient_two Optionnel Chaîne Disponible quand : foreground_type = gradient
background_color Optionnel Chaîne
background_color_transparency Optionnel Entier
custom_eyes_color Optionnel Booléen
eyes_inner_color Optionnel Chaîne Disponible quand : custom_eyes_color = 1
eyes_outer_color Optionnel Chaîne Disponible quand : custom_eyes_color = 1
qr_code_logo Optionnel Fichier -
qr_code_logo_size Optionnel Entier 5-35
qr_code_background Optionnel Fichier -
qr_code_background_transparency Optionnel Entier 0-100
qr_code_foreground Optionnel Fichier -
qr_code_foreground_transparency Optionnel Entier 0-100
frame Optionnel Chaîne Valeurs autorisées : circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text Optionnel Chaîne
frame_text_size Optionnel Entier -5 - 5
frame_text_font Optionnel Chaîne Valeurs autorisées : times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors Optionnel Booléen
frame_color Optionnel Chaîne Disponible quand : frame_custom_colors = 1
frame_text_color Optionnel Chaîne Disponible quand : frame_custom_colors = 1
size Optionnel Entier 50-2000
margin Optionnel Entier 0-25
ecc Optionnel Chaîne Valeurs autorisées : L, M, Q, H
text Optionnel Chaîne Disponible quand : type = text
url Optionnel Chaîne Disponible quand : type = url. Disponible quand : url_dynamic = 0 / url_dynamic_existing_link = 0
phone Optionnel Chaîne Disponible quand : type = phone
sms Optionnel Chaîne Disponible quand : type = sms
sms_body Optionnel Chaîne Disponible quand : type = sms
email Optionnel Chaîne Disponible quand : type = email
whatsapp Optionnel Chaîne Disponible quand : type = whatsapp
whatsapp_body Optionnel Chaîne Disponible quand : type = whatsapp
facetime Optionnel Chaîne Disponible quand : type = facetime
facetime_audio Optionnel Chaîne Disponible quand : type = facetime_audio
location
location_latitude Optionnel Flottant Disponible quand : type = location
location_longitude Optionnel Flottant Disponible quand : type = location
wifi
wifi_ssid Optionnel Chaîne Disponible quand : type = wifi
wifi_encryption Optionnel Chaîne Valeurs autorisées : nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Optionnel Chaîne Disponible quand : type = wifi
wifi_is_hidden Optionnel Booléen Disponible quand : type = wifi
event Optionnel Chaîne Disponible quand : type = event
event_location Optionnel Chaîne Disponible quand : type = event
event_url Optionnel Chaîne Disponible quand : type = event
event_note Optionnel Chaîne Disponible quand : type = event
event_timezone Optionnel Chaîne Disponible quand : type = event
event_start_datetime Optionnel Chaîne Disponible quand : type = event
event_end_datetime Optionnel Chaîne Disponible quand : type = event
event_first_alert_datetime Optionnel Chaîne Disponible quand : type = event
event_second_alert_datetime Optionnel Chaîne Disponible quand : type = event
crypto
crypto_coin Optionnel Chaîne Disponible quand : type = crypto
crypto_address Optionnel Chaîne Disponible quand : type = crypto
crypto_amount Optionnel Chaîne Disponible quand : type = crypto
vcard
vcard_first_name Optionnel Chaîne Disponible quand : type = vcard
vcard_last_name Optionnel Chaîne Disponible quand : type = vcard
vcard_company Optionnel Chaîne Disponible quand : type = vcard
vcard_phone_number_label[index] Optionnel Chaîne Disponible quand : type = vcard
vcard_phone_number_value[index] Optionnel Chaîne Disponible quand : type = vcard
vcard_email Optionnel Chaîne Disponible quand : type = vcard
vcard_url Optionnel Chaîne Disponible quand : type = vcard
vcard_job_title Optionnel Chaîne Disponible quand : type = vcard
vcard_birthday Optionnel Chaîne Disponible quand : type = vcard
vcard_street Optionnel Chaîne Disponible quand : type = vcard
vcard_city Optionnel Chaîne Disponible quand : type = vcard
vcard_zip Optionnel Chaîne Disponible quand : type = vcard
vcard_region Optionnel Chaîne Disponible quand : type = vcard
vcard_country Optionnel Chaîne Disponible quand : type = vcard
vcard_note Optionnel Chaîne Disponible quand : type = vcard
vcard_social_label[index] Optionnel Chaîne Disponible quand : type = vcard
vcard_social_value[index] Optionnel Chaîne Disponible quand : type = vcard
paypal
paypal_type Optionnel Chaîne Valeurs autorisées : buy_now, add_to_cart, donation (type=paypal)
paypal_email Optionnel Chaîne Disponible quand : type = paypal
paypal_title Optionnel Chaîne Disponible quand : type = paypal
paypal_currency Optionnel Chaîne Disponible quand : type = paypal
paypal_price Optionnel Flottant Disponible quand : type = paypal
paypal_thank_you_url Optionnel Chaîne Disponible quand : type = paypal
paypal_cancel_url Optionnel Chaîne Disponible quand : type = paypal
upi
upi_payee_id Optionnel Chaîne Disponible quand : type = upi
upi_payee_name Optionnel Chaîne Disponible quand : type = upi
upi_currency Optionnel Chaîne Disponible quand : type = upi
upi_amount Optionnel Flottant Disponible quand : type = upi
upi_transaction_id Optionnel Chaîne Disponible quand : type = upi
upi_transaction_note Optionnel Chaîne Disponible quand : type = upi
upi_transaction_reference Optionnel Chaîne Disponible quand : type = upi
upi_thank_you_url Optionnel Chaîne Disponible quand : type = upi
epc
epc_iban Optionnel Chaîne Disponible quand : type = epc
epc_payee_name Optionnel Chaîne Disponible quand : type = epc
epc_currency Optionnel Chaîne Disponible quand : type = epc
epc_amount Optionnel Flottant Disponible quand : type = epc
epc_bic Optionnel Chaîne Disponible quand : type = epc
epc_remittance_reference Optionnel Chaîne Disponible quand : type = epc
epc_remittance_text Optionnel Chaîne Disponible quand : type = epc
information Optionnel Chaîne Disponible quand : type = epc
pix
pix_payee_key Optionnel Chaîne Disponible quand : type = pix
pix_payee_name Optionnel Chaîne Disponible quand : type = pix
pix_currency Optionnel Chaîne Disponible quand : type = pix
pix_amount Optionnel Flottant Disponible quand : type = pix
pix_city Optionnel Chaîne Disponible quand : type = pix
pix_transaction_id Optionnel Chaîne Disponible quand : type = pix
pix_description Optionnel Chaîne Disponible quand : type = pix
bulk_request Optionnel Chaîne -
qr_code_logo_remove Optionnel Booléen -
qr_code_background_remove Optionnel Booléen -
qr_code_foreground_remove Optionnel Booléen -
encoding Optionnel Tableau -
sms Optionnel Tableau -
email Optionnel Tableau -
whatsapp Optionnel Tableau -
event Optionnel Tableau -
qr_code Optionnel Tableau -
embedded_data Optionnel Tableau -
Paramètres Détails Description
curl --request POST \
--url 'https://aibiolinker.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-09-21 06:55:57"
    }
}
POST https://aibiolinker.com/api/qr-codes/{qr_code_id}
Paramètres Détails Description
project_id Optionnel Chaîne -
name Optionnel Chaîne -
type Optionnel Chaîne Valeurs autorisées : text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic Optionnel Booléen Disponible quand : type = url
url_dynamic_existing_link Optionnel Booléen Disponible quand : url_dynamic = 1
link_id Optionnel Entier Disponible quand : url_dynamic = 1 + url_dynamic_existing_link = 1
style Optionnel Chaîne Valeurs autorisées : square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style Optionnel Chaîne Valeurs autorisées : square, dot, rounded, diamond, flower, leaf
outer_eye_style Optionnel Chaîne Valeurs autorisées : square, circle, rounded, flower, leaf
foreground_type Optionnel Chaîne Valeurs autorisées : color, gradient
foreground_color Optionnel Chaîne Disponible quand : foreground_type = color
foreground_gradient_style Optionnel Chaîne Valeurs autorisées : vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Optionnel Chaîne Disponible quand : foreground_type = gradient
foreground_gradient_two Optionnel Chaîne Disponible quand : foreground_type = gradient
background_color Optionnel Chaîne
background_color_transparency Optionnel Entier 0 - 100
custom_eyes_color Optionnel Booléen
eyes_inner_color Optionnel Chaîne Disponible quand : custom_eyes_color = 1
eyes_outer_color Optionnel Chaîne Disponible quand : custom_eyes_color = 1
qr_code_logo Optionnel Fichier -
qr_code_logo_size Optionnel Entier 5-35
qr_code_background Optionnel Fichier -
qr_code_background_transparency Optionnel Entier 0-100
qr_code_foreground Optionnel Fichier -
qr_code_foreground_transparency Optionnel Entier 0-100
frame Optionnel Chaîne Valeurs autorisées : circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text Optionnel Chaîne
frame_text_size Optionnel Entier -5 -> 5
frame_text_font Optionnel Chaîne Valeurs autorisées : times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors Optionnel Booléen
frame_color Optionnel Chaîne Disponible quand : frame_custom_colors = 1
frame_text_color Optionnel Chaîne Disponible quand : frame_custom_colors = 1
size Optionnel Entier 50-2000
margin Optionnel Entier 0-25
ecc Optionnel Chaîne Valeurs autorisées : L, M, Q, H
text Optionnel Chaîne Disponible quand : type = text
url Optionnel Chaîne Disponible quand : type = url. Disponible quand : url_dynamic = 0 / url_dynamic_existing_link = 0
phone Optionnel Chaîne Disponible quand : type = phone
sms Optionnel Chaîne Disponible quand : type = sms
sms_body Optionnel Chaîne Disponible quand : type = sms
email Optionnel Chaîne Disponible quand : type = email
whatsapp Optionnel Chaîne Disponible quand : type = whatsapp
whatsapp_body Optionnel Chaîne Disponible quand : type = whatsapp
facetime Optionnel Chaîne Disponible quand : type = facetime
facetime_audio Optionnel Chaîne Disponible quand : type = facetime_audio
location
location_latitude Optionnel Flottant Disponible quand : type = location
location_longitude Optionnel Flottant Disponible quand : type = location
wifi
wifi_ssid Optionnel Chaîne Disponible quand : type = wifi
wifi_encryption Optionnel Chaîne Valeurs autorisées : nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Optionnel Chaîne Disponible quand : type = wifi
wifi_is_hidden Optionnel Booléen Disponible quand : type = wifi
event Optionnel Chaîne Disponible quand : type = event
event_location Optionnel Chaîne Disponible quand : type = event
event_url Optionnel Chaîne Disponible quand : type = event
event_note Optionnel Chaîne Disponible quand : type = event
event_timezone Optionnel Chaîne Disponible quand : type = event
event_start_datetime Optionnel Chaîne Disponible quand : type = event
event_end_datetime Optionnel Chaîne Disponible quand : type = event
event_first_alert_datetime Optionnel Chaîne Disponible quand : type = event
event_second_alert_datetime Optionnel Chaîne Disponible quand : type = event
crypto
crypto_coin Optionnel Chaîne Disponible quand : type = crypto
crypto_address Optionnel Chaîne Disponible quand : type = crypto
crypto_amount Optionnel Chaîne Disponible quand : type = crypto
vcard
vcard_first_name Optionnel Chaîne Disponible quand : type = vcard
vcard_last_name Optionnel Chaîne Disponible quand : type = vcard
vcard_company Optionnel Chaîne Disponible quand : type = vcard
vcard_phone_number_label[index] Optionnel Chaîne Disponible quand : type = vcard
vcard_phone_number_value[index] Optionnel Chaîne Disponible quand : type = vcard
vcard_email Optionnel Chaîne Disponible quand : type = vcard
vcard_url Optionnel Chaîne Disponible quand : type = vcard
vcard_job_title Optionnel Chaîne Disponible quand : type = vcard
vcard_birthday Optionnel Chaîne Disponible quand : type = vcard
vcard_street Optionnel Chaîne Disponible quand : type = vcard
vcard_city Optionnel Chaîne Disponible quand : type = vcard
vcard_zip Optionnel Chaîne Disponible quand : type = vcard
vcard_region Optionnel Chaîne Disponible quand : type = vcard
vcard_country Optionnel Chaîne Disponible quand : type = vcard
vcard_note Optionnel Chaîne Disponible quand : type = vcard
vcard_social_label[index] Optionnel Chaîne Disponible quand : type = vcard
vcard_social_value[index] Optionnel Chaîne Disponible quand : type = vcard
paypal
paypal_type Optionnel Chaîne Valeurs autorisées : buy_now, add_to_cart, donation (type=paypal)
paypal_email Optionnel Chaîne Disponible quand : type = paypal
paypal_title Optionnel Chaîne Disponible quand : type = paypal
paypal_currency Optionnel Chaîne Disponible quand : type = paypal
paypal_price Optionnel Flottant Disponible quand : type = paypal
paypal_thank_you_url Optionnel Chaîne Disponible quand : type = paypal
paypal_cancel_url Optionnel Chaîne Disponible quand : type = paypal
upi
upi_payee_id Optionnel Chaîne Disponible quand : type = upi
upi_payee_name Optionnel Chaîne Disponible quand : type = upi
upi_currency Optionnel Chaîne Disponible quand : type = upi
upi_amount Optionnel Flottant Disponible quand : type = upi
upi_transaction_id Optionnel Chaîne Disponible quand : type = upi
upi_transaction_note Optionnel Chaîne Disponible quand : type = upi
upi_transaction_reference Optionnel Chaîne Disponible quand : type = upi
upi_thank_you_url Optionnel Chaîne Disponible quand : type = upi
epc
epc_iban Optionnel Chaîne Disponible quand : type = epc
epc_payee_name Optionnel Chaîne Disponible quand : type = epc
epc_currency Optionnel Chaîne Disponible quand : type = epc
epc_amount Optionnel Flottant Disponible quand : type = epc
epc_bic Optionnel Chaîne Disponible quand : type = epc
epc_remittance_reference Optionnel Chaîne Disponible quand : type = epc
epc_remittance_text Optionnel Chaîne Disponible quand : type = epc
information Optionnel Chaîne Disponible quand : type = epc
pix
pix_payee_key Optionnel Chaîne Disponible quand : type = pix
pix_payee_name Optionnel Chaîne Disponible quand : type = pix
pix_currency Optionnel Chaîne Disponible quand : type = pix
pix_amount Optionnel Flottant Disponible quand : type = pix
pix_city Optionnel Chaîne Disponible quand : type = pix
pix_transaction_id Optionnel Chaîne Disponible quand : type = pix
pix_description Optionnel Chaîne Disponible quand : type = pix
qr_code_logo_remove Optionnel Booléen -
qr_code_background_remove Optionnel Booléen -
qr_code_foreground_remove Optionnel Booléen -
encoding Optionnel Tableau -
sms Optionnel Tableau -
email Optionnel Tableau -
whatsapp Optionnel Tableau -
event Optionnel Tableau -
qr_code Optionnel Tableau -
embedded_data Optionnel Tableau -
curl --request POST \
--url 'https://aibiolinker.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-09-21 06:55:57"
    }
}
DELETE https://aibiolinker.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://aibiolinker.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \